REM ======================================================================
REM CFA-10006 BASIC Desmonstration Code
REM Copyright 2008, Crystalfontz America, Inc.
REM http://www.crystalfontz.com
REM 
REM Licensed under the Apache License, Version 2.0 (the "License");
REM you may not use this file except in compliance with the License.
REM You may obtain a copy of the License at
REM 
REM      http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
REM implied. See the License for the specific language governing
REM permissions and limitations under the License.
REM ======================================================================
     LEDVAL = backget(2)

     IF (-1 < LEDVAL) then 1000
     LEDVAL = 0
1000 IF (LEDVAL < 101) then 2000
     LEDVAL = 100

2000 REM "Backlight editing loop"

     REM "Set the backlight LEDs PWM to LEDVAL"
     backset 2, LEDVAL

     REM "Show the appropriate image, based on LEDVAL"
     bitmap "/bklblu/blue" + str$(LEDVAL) + ".cf0"

     REM "Handle each of the keys"
     KEY = KEYGET()

2100 REM "cancel: Restore backlight, exit loop"
     if (KEY <> 1) then 2200
     REM "Restore backlight from eeprom."
     backrest 2
     run "/sys/sys.bas", 4, 0, 0

2200 REM " + : Increase backlight"
     if (KEY <> 2) then 2300
     if (99 < LEDVAL) then 2000
     LEDVAL = LEDVAL + 1
     goto 2000

2300 REM " - : Decrease backlight"
     if (KEY <> 3) then 2400
     if (LEDVAL < 1) then 2000
     LEDVAL = LEDVAL - 1
     goto 2000

2400 REM "enter: Save backlight, exit loop"
     if (KEY <> 4) then 2000
     REM "Set and save backlight to eeprom."
     backsave 2
     run "/sys/sys.bas", 4, 0, 0
