REM ======================================================================
REM CFA-10006 BASIC Desmonstration Code
REM Copyright 2008, Crystalfontz America, Inc.
REM http://www.crystalfontz.com
REM 
REM Licensed under the Apache License, Version 2.0 (the "License");
REM you may not use this file except in compliance with the License.
REM You may obtain a copy of the License at
REM 
REM      http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
REM implied. See the License for the specific language governing
REM permissions and limitations under the License.
REM ======================================================================
     REM "System Menu Loop"

     REM This is where we resume executing when a
     REM module that we shelled out to terminates.
     REM See if the user aborted the demo by pressing
     REM a key. If so pull up the menu.
     if (PROGARG0 = 10) then 3000

100  REM "Spiral"
     if (PROGARG0 <> 0) then 1000
     run "/spiral/spiral.bas", 0, 0, 0

1000 DELCNT = 50
     GOSUB 9000

     REM "Slide"
     if (PROGARG0 <> 1) then 1100
     run "/slide/slide.bas", 0, 0, 0

1100 DELCNT = 300
     GOSUB 9000

     REM "Fonts"
     if (PROGARG0 <> 2) then 1200
     run "/fonts/fonts.bas", 0, 0, 0

1200 REM "Cycle the backlight."
     if (PROGARG0 <> 3) then 1300
     run "/blsweep/blsweep.bas", 0, 0, 0

1300 REM "Bad Dog."
     if (PROGARG0 <> 4) then 1400
     run "/ani/ani.bas", 0, 0, 0

1400 REM Loop if no keys have been pressed.
     PROGARG0=0
     GoTO 100

3000 REM "enter: Shell to the system menu screen"
     run "/sys/sys.bas", 0, 0, 0

9000 REM Variable delay with abort, set DELCNT before calling
9100 IF (KEYGET()<>0) THEN 3000
     DELAY 10
     DELCNT = DELCNT - 1
     IF (0 < DELCNT) THEN 9100
     RETURN
